KernelEventHandlers (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.kernel
Class KernelEventHandlers

    java.lang.Object
      org.neo4j.kernel.KernelEventHandlers

All Implemented Interfaces:
  Lifecycle

    public class KernelEventHandlers

extends Object
implements Lifecycle

Handle the collection of kernel event handlers, and fire events as needed.

Field Summary
`protected List<KernelEventHandler>` | `kernelEventHandlers`

Constructor Summary
`KernelEventHandlers()`

Method Summary
`void` | `init()`
`void` | `kernelPanic(ErrorState error)`
`KernelEventHandler` | `registerKernelEventHandler(KernelEventHandler handler)`
`void` | `shutdown()`
`void` | `start()`
`void` | `stop()`
`KernelEventHandler` | `unregisterKernelEventHandler(KernelEventHandler handler)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### kernelEventHandlers

    protected final List<KernelEventHandler> kernelEventHandlers

Constructor Detail

### KernelEventHandlers

    public KernelEventHandlers()

Method Detail

### init

    public void init()
              throws Throwable

  Specified by:
    `init` in interface `Lifecycle`
  Throws:
    `Throwable`

### start

    public void start()
               throws Throwable

  Specified by:
    `start` in interface `Lifecycle`
  Throws:
    `Throwable`

### stop

    public void stop()
              throws Throwable

  Specified by:
    `stop` in interface `Lifecycle`
  Throws:
    `Throwable`

### shutdown

    public void shutdown()
                  throws Throwable

  Specified by:
    `shutdown` in interface `Lifecycle`
  Throws:
    `Throwable`

### registerKernelEventHandler

    public KernelEventHandler registerKernelEventHandler(KernelEventHandler handler)

### unregisterKernelEventHandler

    public KernelEventHandler unregisterKernelEventHandler(KernelEventHandler handler)

### kernelPanic

    public void kernelPanic(ErrorState error)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.